com.amazon.redshift.core

## Enum JavaVersion

- java.lang.Object
- - java.lang.Enum<JavaVersion>
  - - com.amazon.redshift.core.JavaVersion

All Implemented Interfaces:
  Serializable, Comparable<JavaVersion>

    public enum JavaVersion
    extends Enum<JavaVersion>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`other`
`v1_6`
`v1_7`
`v1_8`

### Method Summary

Methods
`static JavaVersion` `from(String version)` Java version string like in `"java.version"` property.
`static JavaVersion` `getRuntimeVersion()` Returns enum value that represents current runtime.
`static JavaVersion` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JavaVersion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### v1_6

    public static final JavaVersion v1_6

#### v1_7

    public static final JavaVersion v1_7

#### v1_8

    public static final JavaVersion v1_8

#### other

    public static final JavaVersion other

### Method Detail

#### values

    public static JavaVersion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JavaVersion c : JavaVersion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JavaVersion valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getRuntimeVersion

    public static JavaVersion getRuntimeVersion()

Returns enum value that represents current runtime. For instance, when using -jre7.jar via Java 8, this would return v18

Returns:
  enum value that represents current runtime.

#### from

    public static JavaVersion from(String version)

Java version string like in `"java.version"` property.

Parameters:
  `version` - string like 1.6, 1.7, etc
Returns:
  JavaVersion enum